Roundup Tracker - Issues

Issue 2550971

classification
Title: CI with Python 3
Type: rfe Severity: normal
Components: Test Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cmeerw, joseph_myers
Priority: Keywords: python3

Created on 2018-07-25 19:36 by joseph_myers, last changed 2018-08-18 23:40 by joseph_myers.

Messages
msg6127 Author: [hidden] (joseph_myers) Date: 2018-07-25 19:36
We need to complete getting CI working to test all commits with Python 3
automatically.
msg6164 Author: [hidden] (joseph_myers) Date: 2018-08-02 23:33
Initial setup done, but the issues with MySQL and GPG modules
(issue2550987, issue2550989) need to be resolved for the testsuite to be
able to run all tests in Python 3 CI.
msg6198 Author: [hidden] (cmeerw) Date: 2018-08-17 16:10
https://travis-ci.org/roundup-tracker/roundup/builds/417234887 seems to 
have passed the tests on Python 3 now.

Actually a bit surprised as I have 2 failing tests with Python 3.6 
(although it only seems to be different behaviour related to Unicode 
characters in dehtml).
msg6199 Author: [hidden] (joseph_myers) Date: 2018-08-17 16:18
dehtml might behave differently depending on whether you have 
BeautifulSoup installed, which could affect the test results.

Anyway, we should probably add 3.5 and 3.6 tests to .travis.yml, on the 
basis of testing with all non-EOL Python versions (testing with 3.7 is 
problematic while Travis is still using Ubuntu 14.04, as the OpenSSL 
version there is too old for 3.7), and remove the allow_failures given the 
tests are passing.  Adding the other Python versions didn't really make 
sense before the results with 3.4 were clean.

For this and issue 2550972 to be complete we arguably also need to sort 
out the MySQL issue (issue 2550987) so that all tests can run with Python 
3.
msg6202 Author: [hidden] (joseph_myers) Date: 2018-08-18 00:40
Seems like the latest run did have one failure with Python 3: 
test/test_cgi.py::FormTestCase::testXmlrpcCsrfProtection (but everything 
else, including MySQL, now working).

https://travis-ci.org/roundup-tracker/roundup/jobs/417497281
msg6206 Author: [hidden] (joseph_myers) Date: 2018-08-18 23:40
CI now running with Python 3.4 / 3.5 / 3.6, with all tests running and
passing and failures no longer allowed.
History
Date User Action Args
2018-08-18 23:40:01joseph_myerssetstatus: new -> fixed
resolution: fixed
messages: + msg6206
2018-08-18 00:40:14joseph_myerssetmessages: + msg6202
2018-08-17 16:18:44joseph_myerssetmessages: + msg6199
2018-08-17 16:11:00cmeerwsetnosy: + cmeerw
messages: + msg6198
2018-08-02 23:33:14joseph_myerssetmessages: + msg6164
2018-07-26 10:41:17joseph_myerssetkeywords: + python3
2018-07-25 19:36:24joseph_myerscreate